Bug 1073190 - A problem occurred while the ThinkPad E540 laptop was recovering from a pending state
A problem occurred while the ThinkPad E540 laptop was recovering from a pendi...
Status: RESOLVED NORESPONSE
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Kernel
Current
x86-64 Linux
: P5 - None : Normal (vote)
: ---
Assigned To: E-mail List
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-12-16 11:45 UTC by Rich Purnell
Modified: 2018-06-16 12:24 UTC (History)
4 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---
tiwai: needinfo? (richpurnell)


Attachments
ThinkPad E540 Hardware Configuration (873.00 KB, text/plain)
2017-12-16 11:45 UTC, Rich Purnell
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rich Purnell 2017-12-16 11:45:16 UTC
Created attachment 753378 [details]
ThinkPad E540 Hardware Configuration

# Description:
When my laptop resumes from pending mode, the fan will spin crazily and the system will automatically restart after tens of seconds.

# Step reappearance:
1. Turn off the screen after entering the system to be the pending mode.
2. Turn on the screen and the system returns to the login screen. Then the screen lights up after about 5 seconds and the fan starts to spin wildly without any diminishing tendency.
3. After inputting the password to enter the system, the fan is still spinning crazily. If you do not deal with it, the system will shut down and restart after tens of seconds (May be the kind of shutdown with the power off).

# Additional specifications:
1. I didn't installed graphics card closed-source driver and I didn't installed other drivers specifically, either.
2. The disk is allocated with exchange partition which is 4 GB.
3. There are basically default setting in my KDE desktop.

# Exception:
Everything goes well when you are using the openSUSE Leap 42.3 but such issue appears again when using other systems like Kubuntu, Fedora, openSUSE Tumbleweed.

# Notebook model:
ThinkPad E540 (20C6A0B7CD)

# Hardware configuration:
CPU: Intel Core i7-4712MQ
GPU: Geforce 840M
Memory: 8192MB
There are more configuration which I sent into the attachment.

# Linux kernel
Linux 4.14.5-1-default
Comment 1 Takashi Iwai 2017-12-19 17:10:50 UTC
Did the early TW kernel (4.13, 4.12, 4.11, whatever) work?
Also, you're testing the resume from suspend-to-RAM (S3)?  Or hibernate (S4)?

Last but not least, could you try to blacklist nouveau driver?
Comment 2 Rich Purnell 2018-01-09 03:15:13 UTC
(In reply to Takashi Iwai from comment #1)
> Did the early TW kernel (4.13, 4.12, 4.11, whatever) work?
> Also, you're testing the resume from suspend-to-RAM (S3)?  Or hibernate (S4)?
> 
> Last but not least, could you try to blacklist nouveau driver?

I do not remember which Linux kernel I use from the beginning, but for the past year I have kept the kernel up to date.

I do not know how to see the hibernation level. After installing the system I did not make any relevant changes, just close the laptop screen.

If you need me to test what can tell me. I'm sorry I did not reply in time.
Comment 3 Jiri Slaby 2018-02-13 10:39:32 UTC
Ok, could you try the kernel from Leap 42.3 if it works on the top of tumbleweed?
Comment 4 Jiri Slaby 2018-06-16 12:24:55 UTC
Closing due to lack of response.